local f = CreateFrame("Frame");
local g = CreateFrame("Frame");
SLASH_AR1 = "/ar";
ARSwitch = true;
language = GetDefaultLanguage(unit);
CR = false;
CombatStatus = false; -- Combat Status
messages = true;

f:RegisterEvent("PLAYER_DEAD"); -- Event that fires when player Dies
f:RegisterEvent("RESURRECT_REQUEST"); -- Event that Fires on Resurrect Request
f:RegisterEvent("PLAYER_UNGHOST"); --Fires when resurrected from GHOST from CORPSE
f:RegisterEvent("PLAYER_SUMMON"); -- Fires when being Summoned
g:RegisterEvent("PLAYER_REGEN_DISABLED"); -- Fires when Entering Combat
g:RegisterEvent("PLAYER_REGEN_ENABLED"); -- Fires when Leaving Combat

function commandHandler(msg)
  if msg == "on" then
    ARSwitch = true;
    print("Autores have been enabled. Use the /ar off command to disable Autores.");
  end
  if msg == "off" then
    ARSwitch = false;
    print("Autores have been disabled. Use the /ar on command to enable Autores.");
  end
  if msg == "cr_on" then
    CR = true;
    print("Combatres have been enabled. Use the /ar cr_off command to disable Combatres.");
  end
  if msg == "cr_off" then
    CR = false;
    print("Combatres have been disabled. Use the /ar cr_on command to enable Combatres.");
  end
end

SlashCmdList["AR"] = commandHandler;

g:SetScript("OnEvent", function(self, event, ...)
	if event == "PLAYER_REGEN_ENABLED" then -- Tells the system that Player is out of combat and Assigns false to CombatStatus
		CombatStatus = false; -- Assigns false to CombatStatus
	end
	if event == "PLAYER_REGEN_DISABLED" then -- Tells the system that Player is in Combat and Assigns true to CombatStatus
		CombatStatus = true; -- Assigns True to CombatStatus
	end
end)

if ARSwitch == true then
  f:SetScript("OnEvent", function(self, event, ...)
    if CR == true then
      if event == "PLAYER_DEAD" then -- Fires when Player dies
        if messages == true then
        end
      end
      if event == "RESURRECT_REQUEST" then -- Fires on Ruserrect Request Event
        AcceptResurrect(UnitName("player")); -- Accepts Resurrection Request
        if messages == true then  
        end
       end
      if event == "PLAYER_UNGHOST" then -- Fires when Player Walks to body and Resurrects
        if messages == true then
        end
      end
    end
      
    if CR == false then
      if CombatStatus == true then
        if event == "PLAYER_DEAD" then
          if messages == true then
          end
        end
     end 
      if CombatStatus == false then
        if event == "PLAYER_DEAD" then
          if messages == true then
          end
        end
        if event == "RESURRECT_REQUEST" then
          AcceptResurrect(UnitName("player")); -- Accepts Resurrection
          if messages == true then
          end
        end
        if event == "PLAYER_UNGHOST" then
          if messages == true then
          end
       end
      end
    end
  end)
end

if ARSwitch == false then
  f:SetScript("OnEvent", function(self, event, ...)
    if event == "PLAYER_DEAD" then
      print("Autores have been turned off. Please use ./ar on to re-enable them.")
    end
  end)
end